Get subreddits in batch
curl --request POST \
--url https://api.konbiniapi.com/v1/reddit/subreddits/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityIds": [
"2qh3l",
"2qh0u"
]
}
'import requests
url = "https://api.konbiniapi.com/v1/reddit/subreddits/batch"
payload = { "entityIds": ["2qh3l", "2qh0u"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entityIds: ['2qh3l', '2qh0u']})
};
fetch('https://api.konbiniapi.com/v1/reddit/subreddits/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "Collection",
"itemCount": 10,
"items": [
{
"type": "Group",
"id": "https://www.reddit.com/r/programming/",
"url": "https://www.reddit.com/r/programming/",
"name": "programming",
"entityId": "2fwo",
"slug": "programming",
"summary": "Subreddit dedicated to the news and discussions about the creation and use of technology and its surrounding issues.",
"description": "/r/technology is a place to share and discuss the latest developments, happenings and curiosities in the world of technology.",
"guidelines": "Please read the /r/technology sidebar for a list of our rules and guidelines.",
"published": "2008-01-24T17:36:07.000Z",
"isAdult": false,
"isSearchable": true,
"category": "Technology",
"memberCount": 5000000,
"icon": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
},
"image": {
"type": "Image",
"url": "https://i.redd.it/post1.png",
"width": 1200,
"height": 675
}
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Subreddits
Get subreddits in batch
Returns up to 100 Reddit subreddits by ID in a single request. Costs 1 credit per ID submitted.
POST
/
v1
/
reddit
/
subreddits
/
batch
Get subreddits in batch
Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Body
application/json
Required array length:
1 - 100 elementsPattern:
^(t5_)?[a-z0-9]+$/iExample:
["2qh3l", "2qh0u"]
Response
Returns the found Reddit subreddits
Show child attributes
Show child attributes
⌘I